org.wildfly.swarm.config.infinispan.cache_container

## Class PartitionHandlingComponent<T extends PartitionHandlingComponent<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.infinispan.cache_container.PartitionHandlingComponent<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class PartitionHandlingComponent<T extends PartitionHandlingComponent<T>>
      extends HashMap

  The partition handling configuration for distributed and replicated caches.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartitionHandlingComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `availability()` Indicates the current availability of the cache.
    `T` | `availability(String value)` Indicates the current availability of the cache.
    `Boolean` | `enabled()` If enabled, the cache will enter degraded mode upon detecting a network partition that threatens the integrity of the cache.
    `T` | `enabled(Boolean value)` If enabled, the cache will enter degraded mode upon detecting a network partition that threatens the integrity of the cache.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### PartitionHandlingComponent

          public PartitionHandlingComponent()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### availability

          public String availability()

      Indicates the current availability of the cache.

    - #### availability

          public T availability(String value)

      Indicates the current availability of the cache.

    - #### enabled

          public Boolean enabled()

      If enabled, the cache will enter degraded mode upon detecting a network partition that threatens the integrity of the cache.

    - #### enabled

          public T enabled(Boolean value)

      If enabled, the cache will enter degraded mode upon detecting a network partition that threatens the integrity of the cache.

Copyright © 2017 JBoss by Red Hat. All rights reserved.